summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2018-02-03 12:41:05 +1100
committerMichael Palimaka <kensington@gentoo.org>2018-02-04 00:36:57 +1100
commit30bf416f5c909f3bc8d09ca5761529e97f441d2a (patch)
treeffad87efb451c904c3c3aad4c1dbcc8a19f5cb5e /dev-qt/qtspeech
parentqt5-build.eclass: introduce QT5_GENTOO_PRIVATE_CONFIG (diff)
downloadgentoo-30bf416f5c909f3bc8d09ca5761529e97f441d2a.tar.gz
gentoo-30bf416f5c909f3bc8d09ca5761529e97f441d2a.tar.bz2
gentoo-30bf416f5c909f3bc8d09ca5761529e97f441d2a.zip
dev-qt: version bump 5.9.4
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'dev-qt/qtspeech')
-rw-r--r--dev-qt/qtspeech/Manifest1
-rw-r--r--dev-qt/qtspeech/qtspeech-5.9.4.ebuild20
2 files changed, 21 insertions, 0 deletions
diff --git a/dev-qt/qtspeech/Manifest b/dev-qt/qtspeech/Manifest
index aa1d35ece2c..93116620dc2 100644
--- a/dev-qt/qtspeech/Manifest
+++ b/dev-qt/qtspeech/Manifest
@@ -1 +1,2 @@
DIST qtspeech-opensource-src-5.9.3.tar.xz 80832 BLAKE2B 56a75db8830938517952fa0c92d66db86f09ce1f65c1d5b09e89eccd33cd54d90abc04fea745712cbfe0b898668164611013895a10dd79d3505031546c1a8678 SHA512 faa2c4e8dea22ba64e8dc93ebbce0d7e8775915591a39c2824d0f7c9da40de9df4dbef6e79b9e541773ee917caf3bef0c11ce6df163c0d91711f8f1394f7381e
+DIST qtspeech-opensource-src-5.9.4.tar.xz 80860 BLAKE2B 8556d375edc5bf0e3edd9745cef6bccab3e2457efee1fa4cc3f6d4feb90da3f651135ba9034caac474ef2e9888bbb3a41771d85b4f8a13b16867ba516a42f47b SHA512 6e2913b23c57cb0dd407b09db78fbb9b6b15c721f6d7af65c744d71f8a66f235a1069b1098eb5cd8b35449255ef94af2a96b2c4a1c550fe0e03000e023c393d9
diff --git a/dev-qt/qtspeech/qtspeech-5.9.4.ebuild b/dev-qt/qtspeech/qtspeech-5.9.4.ebuild
new file mode 100644
index 00000000000..2954bcf57d7
--- /dev/null
+++ b/dev-qt/qtspeech/qtspeech-5.9.4.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Text-to-speech library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+# TODO: flite plugin - needs 2.0.0 (not yet in tree)
+IUSE=""
+
+RDEPEND="
+ >=app-accessibility/speech-dispatcher-0.8.7
+ ~dev-qt/qtcore-${PV}
+"
+DEPEND="${RDEPEND}"